<script lang="ts">
  import "../app.css";
  import BaseLayer from "$lib/tidy/layout/layers/BaseLayer.svelte";
  import { appLoadingState } from "$lib/tidy/stores/app.store";
  import view from "$lib/tidy/stores/view.store";
  import LocalBaseLayer from "$lib/local/layout/LocalBaseLayer.svelte";
  import AppLoadingView from "$lib/tidy/layout/paint/AppLoadingView.svelte";
  import LocalLeftNav from "$lib/local/layout/LocalLeftNav.svelte";
  import appearance from "$lib/tidy/stores/appearance.store";
</script>

<div
  class="text-base text-fgs1 bg-bgs1 relative {$appearance.theme +
    ' ' +
    $appearance.colorScheme.tailwindSelector}"
>
  <BaseLayer>
    <LocalBaseLayer />
    {#if !$appLoadingState.isBaseLoaded || !$appLoadingState.isLocalLoaded}
      <AppLoadingView />
    {:else}
      <LocalLeftNav />
      <div class="flex flex-col h-full {$view.isPortrait ? 'w-full' : 'grow'}">
        <slot />
      </div>
    {/if}
  </BaseLayer>
</div>
